SIProfileHandler Class Referenceabstract

`#include <siprofilehandler.h>`

Inheritance diagram for SIProfileHandler:
[legend]

## Public Member Functions

virtual | ~SIProfileHandler ()
virtual void | handleSIRequest (const JID &from, const JID &to, const std::string &id, const SIManager::SI &si)=0

## Detailed Description

An abstract base class to handle SI requests for a specific profile, e.g. file transfer.

You should usually not need to use this class directly, unless your profile is not supported by gloox.

Author
  Jakob Schröter js@ca.nosp@m.maya.nosp@m..net

Since
  0.9

Definition at line 37 of file siprofilehandler.h.

## Constructor & Destructor Documentation

## ~SIProfileHandler()

virtual ~SIProfileHandler | ( |  | ) |

inline virtual

Virtual destructor.

Definition at line 44 of file siprofilehandler.h.

## Member Function Documentation

## handleSIRequest()

virtual void handleSIRequest | ( | const JID & | from,
|  | const JID & | to,
|  | const std::string & | id,
|  | const SIManager::SI & | si )

pure virtual

This function is called to handle incoming SI requests, i.e. a remote entity requested a stream to send a file to you. You should use either SIManager::acceptSI() or SIManager::declineSI() to accept or reject the request, respectively.

Parameters

  from | The SI requestor.
  to | The SI recipient, usually oneself. Used in component scenario.
  id | The request's id (not the stream's id). This id MUST be supplied to either SIManager::acceptSI() or SIManager::declineSI().
  si | The request's complete SI.

Implemented in SIProfileFT.

The documentation for this class was generated from the following file:

- siprofilehandler.h